package com.jianshui.income.domain.entity;

import com.jianshui.common.annotation.Excel;
import com.jianshui.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 进项-发票采集记录对象 income_invoice_auth_log
 *
 * @author jianshui
 * @date 2022-09-05
 */
public class IncomeInvoiceAuthLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 批次号 */
    private String pch;

    /** 购买方识别号 */
    private String gmfsbh;

    /** 发票类型代码 */
    private String fplxdm;

    /** 采集开始日期 */
    @Excel(name = "采集开始日期")
    private String cjksrq;

    /** 采集结束日期 */
    @Excel(name = "采集结束日期")
    private String cjjsrq;

    /** 结果行数 */
    @Excel(name = "结果行数")
    private Long zhs;

    /** 当前税款所属期 */
    @Excel(name = "当前税款所属期")
    private String dqskssq;

    /** 采集类型（1 自动采集   2 手动采集） */
    @Excel(name = "采集类型", readConverterExp = "1=,自=动采集,2=,手=动采集")
    private String cjlx;

    public void setPch(String pch)
    {
        this.pch = pch;
    }

    public String getPch()
    {
        return pch;
    }
    public void setGmfsbh(String gmfsbh)
    {
        this.gmfsbh = gmfsbh;
    }

    public String getGmfsbh()
    {
        return gmfsbh;
    }
    public void setFplxdm(String fplxdm)
    {
        this.fplxdm = fplxdm;
    }

    public String getFplxdm()
    {
        return fplxdm;
    }
    public void setCjksrq(String cjksrq)
    {
        this.cjksrq = cjksrq;
    }

    public String getCjksrq()
    {
        return cjksrq;
    }
    public void setCjjsrq(String cjjsrq)
    {
        this.cjjsrq = cjjsrq;
    }

    public String getCjjsrq()
    {
        return cjjsrq;
    }
    public void setZhs(Long zhs)
    {
        this.zhs = zhs;
    }

    public Long getZhs()
    {
        return zhs;
    }
    public void setDqskssq(String dqskssq)
    {
        this.dqskssq = dqskssq;
    }

    public String getDqskssq()
    {
        return dqskssq;
    }
    public void setCjlx(String cjlx)
    {
        this.cjlx = cjlx;
    }

    public String getCjlx()
    {
        return cjlx;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("pch", getPch())
            .append("gmfsbh", getGmfsbh())
            .append("fplxdm", getFplxdm())
            .append("cjksrq", getCjksrq())
            .append("cjjsrq", getCjjsrq())
            .append("zhs", getZhs())
            .append("dqskssq", getDqskssq())
            .append("cjlx", getCjlx())
//            .append("createtime", getCreatetime())
            .toString();
    }
}
